Solved

Centreon broker graphite install

  • 23 November 2021
  • 6 replies
  • 156 views

Badge +2
Hello ,I cannot install the centre-broker-graphite module (Centreon 21-10, iso centreon CentOS7). 

The error (dependency) :

 -Need: centreon-broker-core = 21.10.0-2.el7
-Installé  : centreon-broker-core-21.10.0-4.el7.x86_64

Is someone have a solution ? Thank you.

icon

Best answer by Laurent 23 November 2021, 17:08

View original

6 replies

Userlevel 5
Badge +13

Hi @apalma, yes there is an issue.

Can you enable testing repository to install centreon-broker-graphite-21.10.0-4

Regards

Badge +2

Thank for your answer , I’ve enabled epel-testing.repo but still the same error .. Is there specific repo for centreon-broker-graphite-21.10.0-4 ?

Userlevel 6
Badge +16

Hi @apalma 

What are your centreon-broker packages versions? List it with this command please:

rpm -qa | grep centreon-broker 

 

I can install the module without problem with: 

yum install https://yum.centreon.com/standard/21.10/el7/stable/x86_64/RPMS/centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm 
 

My broker packages versions are:

centreon-broker-selinux-0.0.6-1.x86_64

centreon-broker-storage-21.10.0-2.el7.x86_64

centreon-broker-21.10.0-2.el7.x86_64

centreon-broker-21.04.3-1.el7.centos.x86_64

centreon-broker-core-21.10.0-2.el7.x86_64

centreon-broker-graphite-21.10.0-2.el7.x86_64

centreon-broker-core-21.04.3-1.el7.centos.x86_64

centreon-broker-cbd-21.10.0-2.el7.x86_64

centreon-broker-cbd-21.04.3-1.el7.centos.x86_64

centreon-broker-storage-21.04.3-1.el7.centos.x86_64

centreon-broker-cbmod-21.10.0-2.el7.x86_64

centreon-broker-cbmod-21.04.3-1.el7.centos.x86_64

Badge +2

The result :

rpm -qa | grep centreon-broker
centreon-broker-storage-21.10.0-4.el7.x86_64
centreon-broker-selinux-0.0.6-1.x86_64
centreon-broker-21.10.0-4.el7.x86_64
centreon-broker-cbmod-21.10.0-4.el7.x86_64
centreon-broker-cbd-21.10.0-4.el7.x86_64
centreon-broker-core-21.10.0-4.el7.x86_64

i’ve try yum install https://yum.centreon.com/standard/21.10/el7/stable/x86_64/RPMS/centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm --skip-broken

result :

centreon-broker-graphite-21.10.0-2.el7.x86_64 depuis /centreon-broker-graphite-21.10.0-2.el7.x86_64
[root@centreon yum.repos.d]# yum install https://yum.centreon.com/standard/21.10/el7/stable/x86_64/RPMS/centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm --skip-broken
Modules complémentaires chargés : fastestmirror
centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm | 125 kB 00:00:00
Examen de /var/tmp/yum-root-0QsRfW/centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm : centreon-broker-graphite-21.10.0-2.el7.x86_64
Sélection de /var/tmp/yum-root-0QsRfW/centreon-broker-graphite-21.10.0-2.el7.x86_64.rpm pour installation
Résolution des dépendances
--> Lancement de la transaction de test
---> Le paquet centreon-broker-graphite.x86_64 0:21.10.0-2.el7 sera installé
--> Traitement de la dépendance : centreon-broker-core = 21.10.0-2.el7 pour le paquet : centreon-broker-graphite-21.10.0-2.el7.x86_64
Loading mirror speeds from cached hostfile
* base: ftp.pasteur.fr
* centos-sclo-rh: ftp.pasteur.fr
* centos-sclo-sclo: centos.crazyfrogs.org
* epel: fr2.rpmfind.net
* epel-testing: fr2.rpmfind.net
* extras: ftp.pasteur.fr
* updates: ftp.pasteur.fr

Paquets omis en raison de problèmes de dépendances :
centreon-broker-graphite-21.10.0-2.el7.x86_64 depuis /centreon-broker-graphite-21.10.0-2.el7.x86_64

There still a dependency problem :(

Thank you for your help.

Userlevel 5
Badge +13

@sims24 I have the same issue on my poller.

@apalma try:

yum install https://yum.centreon.com/standard/21.10/el7/testing/x86_64/broker/centreon-broker-21.10.0-4/centreon-broker-graphite-21.10.0-4.el7.x86_64.rpm

 

Badge +2

Perfect ! It’s work :)

 

Thanks for your help..

Reply